Crypto Networks
GETπ Public
Get crypto network list with corresponding crypto.
This API can be publicly accessed without any security headers to get a default network list.
If you access with Read permission authentication, the result will be much more accurate by account setting.
The response of depositEnable and withdrawEnable is true by default under the publicly accessed environment.
- The total deposit fee is
max(depositFeeMin, (amount Γ depositFeeRate)) + (depositExtFees + depositExtFeeRate Γ amount). - The total withdrawal fee is
max(withdrawFeeMin, (amount Γ withdrawFeeRate)) + (withdrawExtFees + withdrawExtFeeRate Γ amount).
Note: For crypto with small prices, the Markets Information API displays them using K/M/B prefixes and process trades with the corresponding quantities. (ex. K_PEIPEI) However, Wallet-related APIs display the actual crypto information, so both requests and responses will use the original crypto name. (ex. PEIPEI)
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| crypto | String | Yes | Crypto currency, such as BTC |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| network | String | Network |
| name | String | Network name |
| depositEnable | Boolean | Allow to deposit |
| withdrawEnable | Boolean | Allow to withdraw |
| confirmationTime | Integer | Expected block confirmation time |
| depositAmtMin | String | Minimum amount of deposit |
| depositFeeMin | String | Minimum fees of deposit |
| depositFeeRate | String | Fee rate of deposit |
| depositExtFees | String | Extra fees of deposit |
| depositExtFeeRate | String | Extra fee rate of deposit |
| needAddressExtension | Boolean | Supported address extension |
| addressExtensionTypeName | String | Address extension type (e.g. tag) |
| withdrawAmtMin | String | Minimum amount of withdrawal |
| withdrawFeeMin | String | Minimum fees of withdraw |
| withdrawFeeRate | String | Fee rate of withdrawal |
| withdrawExtFees | String | Extra fees of withdraw |
| withdrawExtFeeRate | String | Extra fee rate of withdraw |
example
GET
https://api.btse.com/public-api/wallet/v1/crypto/networksResponse
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": [
{
"network": "ERC20",
"name": "Ethereum (ERC20)",
"depositEnable": true,
"withdrawEnable": true,
"confirmationTime": 15,
"depositAmtMin": "0",
"depositFeeMin": "0",
"depositFeeRate": "0",
"depositExtFees": "0",
"depositExtFeeRate": "0",
"needAddressExtension": false,
"withdrawAmtMin": "36.41",
"withdrawFeeMin": "6.41",
"withdrawFeeRate": "0",
"withdrawExtFees": "0",
"withdrawExtFeeRate": "0"
},
{
"network": "RIPPLE",
"name": "Ripple",
"depositEnable": true,
"withdrawEnable": true,
"confirmationTime": 10,
"depositAmtMin": "0",
"depositFeeMin": "0",
"depositFeeRate": "0",
"depositExtFees": "0",
"depositExtFeeRate": "0",
"needAddressExtension": true,
"addressExtensionTypeName": "tag",
"withdrawAmtMin": "0.25",
"withdrawFeeMin": "20",
"withdrawFeeRate": "0",
"withdrawExtFees": "0",
"withdrawExtFeeRate": "0"
}
]
}